[PATCH] hostap_crypt.c needs linux/version.h on RH9

Pavel Roskin proski at gnu.org
Tue May 20 01:31:48 EDT 2003


Hello!

I've had a chance to help one of my friends set up a wireless card with
Red Hat 9.  All the drivers I tried performed less than perfect, which
should remind us that sometimes we should leave the convenient world of
custom compiled kernels and nice stuff in $HOME.

To make long story short, I brought a list of bugs with me, and I'll post
the fixes when time permits.  That's the first and the simplest fix.

hostap_crypt.c must include linux/version.h before linux/module.h because 
linux/module.h uses versioned symbols.  The first of them is 
inter_module_register().

The one-line patch is attached.

-- 
Regards,
Pavel Roskin
-------------- next part --------------
--- driver/modules/hostap_crypt.c
+++ driver/modules/hostap_crypt.c
@@ -14,6 +14,7 @@
 #endif
 
 #include <linux/config.h>
+#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>


More information about the HostAP mailing list